Redmine - Feature #1679

Enhancement request WRT login
2008-07-24 14:23 - James Byrne

Status: Closed Start date: 2008-07-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed

Description

Enhance login / sign on action so that after logging in the user is returned to the page displayed at the time of selecting the sign on
action instead of redirected to their home page. Alternatively, provide this facility as a user configurable option.

Associated revisions

Revision 1695 - 2008-07-26 10:46 - Jean-Philippe Lang
Redirect user to the previous page after logging in (#1679).

History

#1 - 2008-07-24 18:22 - Jean-Philippe Lang

| agree that redirecting to the previous page (if any) would be more convenient.
What do think others ?

#2 - 2008-07-24 20:46 - Carl Nygard
Seeing how | had to login, hit the back button twice, and reload the page, I'd say
+4
#3 - 2008-07-24 21:07 - Eric Davis
Jean-Philippe Lang wrote:
| agree that redirecting to the previous page (if any) would be more convenient.

What do think others ?

+1. |l use the restful_authentication plugin on my Rails applications all the time and it includes this feature be default. Having Redmine not have it is a
small annoyance. restful_authentication does this by setting session[:return_to] = request.request_uri when the user needs authentication. Then
once authentication, it will check the session and redirect to the :return_to uri.

#4 - 2008-07-24 22:10 - Stephanie Collett

+1 This would be a nice feature for public Redmine projects. Sometimes you don't realize you aren't logged in until you want to comment on an issue.

#5 - 2008-07-26 10:45 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Done in r1695.

#6 - 2009-05-20 21:41 - James Byrne

Possible regression.

| note today that when | logged in to Redmin.org that | was redirected to my home page rather than back to the page | was viewing when | decided to
log in.
